using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DockedGrids
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
            this.dockingManager1.NewDockStateEndLoad += new EventHandler( dockingManager1_NewDockStateEndLoad );
        }

        void dockingManager1_NewDockStateEndLoad( object sender, EventArgs e )
        {
            Size szNewSize = new Size( 0, 200 );
            this.dockingManager1.SetAutoHideMode( this.gridWithDocking, true );
            this.dockingManager1.SetControlSize( this.gridWithDocking, szNewSize );

        }

        protected override bool ProcessCmdKey( ref Message msg, Keys keyData )
        {
            bool bProcessed = false;

            const int WM_KEYDOWN = 0x100;
            const int WM_SYSKEYDOWN = 0x104;

            if ((msg.Msg == WM_KEYDOWN) || (msg.Msg == WM_SYSKEYDOWN))
            {
                switch (keyData)
                {
                    case Keys.Control | Keys.B:
                        this.dockingManager1.SetAutoHideMode(this.gridWithDocking, 
                            !this.dockingManager1.GetAutoHideMode(this.gridWithDocking));
                        bProcessed = true;
                        break;
                }
            }

            if (!bProcessed)
            {
                bProcessed = base.ProcessCmdKey( ref msg, keyData );
            }
            return bProcessed;
        }
    }
}